View Issue Details

IDProjectCategoryView StatusLast Update
0002440NoesisGUIC++ SDKpublic2022-11-08 00:30
ReporterAnKor Assigned Tojsantos  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.1.5 
Target Version3.1.6Fixed in Version3.1.6 
Summary0002440: Inline enum reflection causes duplicate definition linker error
DescriptionUsing NS_IMPLEMENT_INLINE_REFLECTION_ENUM in a header that is included in more than one file causes linker errors:

error LNK2005: "public: static void __cdecl Noesis::TypeEnumFiller<enum Test::TestEnum>::Fill(class Noesis::TypeEnumCreator<enum Test::TestEnum> &)" ([email protected][email protected]@[email protected]@@[email protected]@[email protected]@[email protected]@@[email protected]@Z) already defined in ***.obj
error LNK2005: "public: static class Noesis::TypeEnum const * __cdecl Noesis::TypeEnumFiller<enum Test::TestEnum>::GetType(void)" ([email protected][email protected]@[email protected]@@[email protected]@[email protected]@XZ) already defined in ***.obj

The fix is described here: https://www.noesisengine.com/forums/viewtopic.php?t=2750
TagsNo tags attached.
PlatformAny

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2022-10-14 10:57 AnKor New Issue
2022-10-14 11:00 jsantos Assigned To => jsantos
2022-10-14 11:00 jsantos Status new => assigned
2022-10-14 11:00 jsantos Target Version => 3.1.6
2022-11-07 17:13 sfernandez Target Version 3.1.6 => 3.1.7
2022-11-07 17:14 sfernandez Target Version 3.1.7 => 3.1.6
2022-11-08 00:30 jsantos Status assigned => resolved
2022-11-08 00:30 jsantos Resolution open => fixed
2022-11-08 00:30 jsantos Fixed in Version => 3.1.6